Subject: bug#9950: closed (Re: bug#9950: rm -r partial failure)

From: Graham Lawrence <[email-masked]>
Date: Fri, 4 Nov 2011 12:35:00 -0700

I appreciate the detailed response from Bob Proulx, but I do not think
it addressed the question I raised.  I had expected "rm -rf *.swp" to
remove all the files listed by find, Mr Proulx informed me that it
would have removed none of them, but in fact what it did was remove
SOME of them.

~ $find /home -name *swp ................the original list delivered by find
/home/g/.vim/config.swp
/home/g/.vim/Notes.swp
/home/g/.vim/nzb.sh.swp
/home/g/.vim/makesess.vim.swp
/home/g/.vim/backup.sh.swp
/home/g/.vim/.vimrc.swp
/home/g/.vim/.bashrc.swp
/home/g/.vim/renamer.sh.swp
/home/g/.vim/vimcht.swp
/home/g/.vim/grepnotes.sh.swp
/home/g/Scripts/.reseq.awk.swp
/home/g/.fluxbox/.menu.swp
~ $rm -rf *.swp ...............................the doubtful rm command
~ $find /home -name *swp ..............the same find command, showing
some deleted, and some not
/home/g/.vim/Notes.swp
/home/g/.vim/backup.sh.swp
/home/g/.vim/.vimrc.swp
/home/g/Scripts/.reseq.awk.swp
/home/g/.fluxbox/.menu.swp
~ $rm -rf *swp

For example, why did it remove
/home/g/.vim/renamer.sh.swp
but ignore
/home/g/.vim/backup.sh.swp